echo off
cls
echo 
echo                              F O N T L O A D E R
echo 
echo An HP LaserJet or compatible that supports soft fonts is required to print
echo this example.  Fifteen fonts are sent to your LaserJet before printing.
echo They have ID numbers from 0 to 14.  Don't change these ID numbers as some
echo fonts are called by their ID's.
echo 
echo 315K bytes of fonts are sent to your printer.  If you have a 512K LaserJet,
echo make sure that you don't have any other soft fonts loaded or you may have
echo trouble running this demo.  If you do have trouble fitting all the fonts
echo into your printer's memory,  you can delete the last two fonts in FL.RSP.
echo These are repeats that exist to print correctly on some HP clones that
echo search for fonts in a descending order.
echo 
if not /%1 == / goto parm
echo Using PRN!  If your LaserJet is on another device, exit by 
echo pressing control break and then pass the name as the 1st parameter.
echo Like this:  "LAND.BAT LPT2".  
echo 
:parm
echo Press any to key to begin loading fonts.  Press control break to exit.
echo 
pause
cls
echo 
if /%1 == / goto default
if not exist %1 goto no_outfile
:default
if not exist %2FONTLODR.EXE goto no_exe
if not exist %3HV240RPN.USP goto no_font
if not exist %4LAND.DOC goto no_doc
if not exist %4FL.RSP goto no_rsp
rem Notice how it is necessary to specify two "%" characters in a batch file!
rem Example BATch file line:  %2FontLodr.exe %3hv240rpn.usp -l-sh:67%%-t %1 1
%2FontLodr.exe %5@FL.RSP %3HV240RPN.USP -T-L %1 0
if errorlevel 1 goto error
echo Will now print documentation.  Control break to exit.
pause
rem
if /%1 == / copy %4land.doc prn
if not /%1 == / copy %4land.doc %1
goto exit
:error
echo 
echo An error has been returned from FontLoader.  Aborting batch file!
goto exit
:no_outfile
echo Error: %1 does not exist.  Pass the name of a valid device like "LPT2".
if not exist %2FONTLODR.EXE goto no_exe
if not exist %3HV240RPN.USP goto no_font
if not exist %4LAND.DOC goto no_doc
if not exist %5FL.RSP goto no_rsp
goto help
:no_exe
echo Error: Pass the path where FONTLODR.EXE is located as the 2nd parameter.
if not exist %3HV240RPN.USP goto no_font
if not exist %4LAND.DOC goto no_doc
if not exist %5FL.RSP goto no_rsp
goto help
:no_font
echo Error: Pass the path where HV240RPN.USP is located as the 3rd parameter.
if not exist %4LAND.DOC goto no_doc
if not exist %5FL.RSP goto no_rsp
goto help
:no_doc
echo Error: Pass the path where LAND.DOC     is located as the 4th parameter.
if not exist %5FL.RSP goto no_rsp
goto help
:no_rsp
echo Error: Pass the path where FL.RSP       is located as the 5th parameter.
:help
echo 
echo Format: LAND device path path path path
echo 
echo Where   Device is PRN, LPT1, LPT2, etc.
echo         First  path is for FONTLODR.EXE.
echo         Second path is for HV240RPN.USP.
echo         Third  path is for LAND.DOC.
echo         Fourth path is for FL.RSP.
echo 
echo Example:  PRINTDOC PRN \UTIL\ ..\TMPPATH\ .\ D:\FONTS\
echo Notice:   Every path name ends with a backslash\.

:exit
